/**
 * Created by ThinkPad on 2017/6/19.
 * 封装页面上的JS
 */
//init();
var browser = {
    versions: function() {
        var u = navigator.userAgent, app = navigator.appVersion;
        return {//移动终端浏览器版本信息
            trident: u.indexOf('Trident') > -1, //IE内核
            presto: u.indexOf('Presto') > -1, //opera内核
            webKit: u.indexOf('AppleWebKit') > -1, //苹果、谷歌内核
            gecko: u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1, //火狐内核
            mobile: !!u.match(/AppleWebKit.*Mobile.*/) || !!u.match(/AppleWebKit/), //是否为移动终端
            ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
            android: u.indexOf('Android') > -1 || u.indexOf('Linux') > -1, //android终端或者uc浏览器
            iPhone: u.indexOf('iPhone') > -1 || u.indexOf('Mac') > -1, //是否为iPhone或者QQHD浏览器
            iPad: u.indexOf('iPad') > -1, //是否iPad
            webApp: u.indexOf('Safari') == -1 //是否web应该程序，没有头部与底部
        };
    }(),
    language: (navigator.browserLanguage || navigator.language).toLowerCase()
}
function is_weixin(){
    var ua = navigator.userAgent.toLowerCase();
    if(ua.match(/MicroMessenger/i)=="micromessenger") {
        return true;
    } else {
        return false;
    }
}
function downloadApp(){
    var url="http://app.cnnb.com.cn/nbdaily/download.html";
    if (browser.versions.android) {
        url="http://a.app.qq.com/o/simple.jsp?pkgname=io.dcloud.H55BDF6BE";
    }else{
        url="http://app.cnnb.com.cn/nbdaily/download.html";
    }
    window.location.href=url;
}
function init(){
    var newType=document.getElementById("newType").value;
    if(newType){
        var list=document.getElementsByTagName("a");
        for(var i=0;i<list.length;i++){
            if(list[i].href.indexOf("yp://")!=-1){
                list[i].href="javascript:void(0);";
                list[i].onclick=function (){
                    window.location.href="https://a.mlinks.cc/AK94?type=news&id="+newsid+"&modetype="+modetype;
                };
            }
        }
    }
}
function closeLoaderlayer(){
    document.getElementById("loaderlayer").style.display = "none";
}


<!-- Jssdk -->
if(jssdkConfig.imageThumbnail){
    jssdkConfig.imgUrl = jssdkConfig.imageThumbnail;
}
if(!jssdkConfig.desc){
    jssdkConfig.desc = jssdkConfig.title;
}
//2.特殊微信二次分享
var shareData = {
    title : jssdkConfig.title, // 分享标题
    desc : jssdkConfig.desc,
    imgUrl : jssdkConfig.imgUrl,
    timeline : jssdkConfig.url + "&type=wxfs",//分享到微信朋友圈
    appmessage : jssdkConfig.url + "&type=wx",//分享到微信
    qq : jssdkConfig.url + "&type=qq",//分享到QQ
    weibo : jssdkConfig.url + "&type=wb",//分享到QQ
    qzone : jssdkConfig.url + "&type=qz"
};
wx.config({
    debug: jssdkConfig.debug, // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
    appId: jssdkConfig.appId, // 必填，公众号的唯一标识
    timestamp: jssdkConfig.timestamp, // 必填，生成签名的时间戳
    nonceStr: jssdkConfig.nonceStr, // 必填，生成签名的随机串
    signature: jssdkConfig.signature,// 必填，签名，见附录1
    jsApiList: [
        'onMenuShareTimeline',
        'onMenuShareAppMessage',
        'onMenuShareQQ',
        'onMenuShareWeibo',
        'onMenuShareQZone'
    ] // 必填，需要使用的JS接口列表，所有JS接口列表见附录2
});

wx.ready(function(){
    wx.onMenuShareTimeline({
        title: shareData.title, // 分享标题
        desc: shareData.desc,// 分享描述
        link: shareData.timeline, // 分享链接
        imgUrl: shareData.imgUrl, // 分享图标
        success: function () {
            // 用户确认分享后执行的回调函数
        },
        cancel: function () {
            // 用户取消分享后执行的回调函数
        }
    });

    wx.onMenuShareAppMessage({
        title: shareData.title, // 分享标题
        desc: shareData.desc,// 分享描述
        link: shareData.appmessage, // 分享链接
        imgUrl: shareData.imgUrl, // 分享图标
        success: function () {
            // 用户确认分享后执行的回调函数
        },
        cancel: function () {
            // 用户取消分享后执行的回调函数
        }
    });

    wx.onMenuShareQQ({
        title: shareData.title, // 分享标题
        desc: shareData.desc,// 分享描述
        link: shareData.qq, // 分享链接
        imgUrl: shareData.imgUrl, // 分享图标
        success: function () {
            // 用户确认分享后执行的回调函数
        },
        cancel: function () {
            // 用户取消分享后执行的回调函数
        }
    });

    wx.onMenuShareWeibo({
        title: shareData.title, // 分享标题
        desc: shareData.desc,// 分享描述
        link: shareData.weibo, // 分享链接
        imgUrl: shareData.imgUrl, // 分享图标
        success: function () {
            // 用户确认分享后执行的回调函数
        },
        cancel: function () {
            // 用户取消分享后执行的回调函数
        }
    });

    wx.onMenuShareQZone({
        title: shareData.title, // 分享标题
        desc: shareData.desc,// 分享描述
        link: shareData.qzone, // 分享链接
        imgUrl: shareData.imgUrl, // 分享图标
        success: function () {
            // 用户确认分享后执行的回调函数
        },
        cancel: function () {
            // 用户取消分享后执行的回调函数
        }
    });

});